Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
DelegateMemento Class Reference

`#include <FastDelegate.h>`

Inheritance diagram for DelegateMemento:

## Public Member Functions
| DelegateMemento ()
void | clear ()
bool | IsEqual (const DelegateMemento &x) const
bool | IsLess (const DelegateMemento &right) const
bool | operator! () const
bool | empty () const
DelegateMemento & | operator= (const DelegateMemento &right)
bool | operator< (const DelegateMemento &right)
bool | operator> (const DelegateMemento &right)
| DelegateMemento (const DelegateMemento &right)

## Protected Types
typedef void(detail::GenericClass::* | GenericMemFuncType) ()

## Protected Member Functions
void | SetMementoFrom (const DelegateMemento &right)

## Protected Attributes
detail::GenericClass * | m_pthis
GenericMemFuncType | m_pFunction

## Member Typedef Documentation

typedef void(detail::GenericClass::* GenericMemFuncType) ()
| protected

## Constructor & Destructor Documentation

DelegateMemento | ( |  | ) |
| inline

DelegateMemento | ( | const DelegateMemento & | right | ) |
| inline

## Member Function Documentation

void clear | ( |  | ) |
| inline

bool empty | ( |  | ) | const
| inline

bool IsEqual | ( | const DelegateMemento & | x | ) | const
| inline

bool IsLess | ( | const DelegateMemento & | right | ) | const
| inline

bool operator! | ( |  | ) | const
| inline

bool operator< | ( | const DelegateMemento & | right | ) |
| inline

DelegateMemento& operator= | ( | const DelegateMemento & | right | ) |
| inline

bool operator> | ( | const DelegateMemento & | right | ) |
| inline

void SetMementoFrom | ( | const DelegateMemento & | right | ) |
| inline protected

## Member Data Documentation

GenericMemFuncType m_pFunction
| protected

detail::GenericClass* m_pthis
| protected

The documentation for this class was generated from the following file:

- delegates/FastDelegate.h